Skip to main content
`Ctrl`+`K`

# MatCoarsenMISKSetDistance

the distance to be used by MISK

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCoarsenMISKSetDistance(MatCoarsen crs, PetscInt k)

Collective

## Input Parameters

- crs - the coarsen

- k - the distance

## Options Database Key

- -mat_coarsen_misk_distance k - distance for MIS

## Note

When the coarsening is used inside `PCGAMG` then the options database key is `-pc_gamg_mat_coarsen_misk_distance`

## See Also

`MATCOARSENMISK`, `MatCoarsen`, `MatCoarsenSetFromOptions()`, `MatCoarsenSetType()`, `MatCoarsenRegister()`, `MatCoarsenCreate()`, `MatCoarsenDestroy()`, `MatCoarsenSetAdjacency()`, `MatCoarsenMISKGetDistance()`, `MatCoarsenGetData()`

## Level

advanced

## Location

src/mat/graphops/coarsen/impls/misk/misk.c

Index of all MatGraphOperations routines
Table of Contents for all manual pages
Index of all manual pages